/*
 * Copyright (C) 2023  Christopher J. Howard
 *
 * This file is part of Antkeeper source code.
 *
 * Antkeeper source code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Antkeeper source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Antkeeper source code.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ANTKEEPER_MATH_HPP
#define ANTKEEPER_MATH_HPP

/// Mathematical functions and data types.
namespace math {}

#include <engine/math/vector.hpp>
#include <engine/math/matrix.hpp>
#include <engine/math/quaternion.hpp>

#include <engine/math/se3.hpp>
#include <engine/math/transform.hpp>

#include <engine/math/angles.hpp>
#include <engine/math/numbers.hpp>
#include <engine/math/quadrature.hpp>
#include <engine/math/interpolation.hpp>
#include <engine/math/map.hpp>
#include <engine/math/projection.hpp>

#endif // ANTKEEPER_MATH_HPP
